summaryrefslogtreecommitdiffstats
path: root/main/vlc/vlc.initd
diff options
context:
space:
mode:
Diffstat (limited to 'main/vlc/vlc.initd')
-rwxr-xr-xmain/vlc/vlc.initd20
1 files changed, 20 insertions, 0 deletions
diff --git a/main/vlc/vlc.initd b/main/vlc/vlc.initd
new file mode 100755
index 000000000..2c431c90f
--- /dev/null
+++ b/main/vlc/vlc.initd
@@ -0,0 +1,20 @@
+#!/sbin/runscript
+
+depend() {
+ need net
+}
+
+start() {
+ ebegin "Starting VLC"
+ start-stop-daemon --start --oknodo \
+ --pidfile /var/run/vlc.pid --chuid vlc \
+ --exec /usr/bin/vlc -- ${VLC_OPTS}
+ eend $?
+}
+
+stop () {
+ ebegin "Stopping VLC"
+ start-stop-daemon --stop --oknodo --exec /usr/bin/vlc
+ eend $?
+}
+